
User Interface - Bug #2681

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

the titlebar height and outline does not match the 4GL version

09/03/2015 04:57 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 09/03/2015 04:58 PM - Greg Shah

The titlebar is sized too large in height in our version.  The windows classic theme has a different way to draw the outline of the titlebar than we

implement.

To see the differences, please see task #2679 note 1.

#2 - 09/03/2015 05:25 PM - Hynek Cihlar

By the way, the default window caption font color in the Windows classic theme is not black but white.

#3 - 09/04/2015 09:38 AM - Greg Shah

Yes, and the active titlebar color is wrong too.  It should be a dark blue instead of a light blue.

#4 - 10/08/2015 04:48 PM - Greg Shah

- Target version set to Milestone 12

- Assignee set to Eugenie Lyzenko

At this point, the colors are fine.  But the size and outline is still incorrect.

If this can be solved by end of day tomorrow, then please include the changes in 1811r.  Otherwise the changes will go into 1811s.

#5 - 10/08/2015 11:25 PM - Eugenie Lyzenko

- File window_title_bar_fix_20151008.jpg added

The 1811r revision 10971 should fix the issue.

#6 - 10/09/2015 09:13 AM - Greg Shah

- File titlebar_icon_scaling_20151009.png added

This is really good!  I think it is nearly perfect.
https://proj.goldencode.com/issues/2679


Notice that the min/max/close buttons have some margins (space around them).  Notice that in the Progress version, the window icon also has some

margins similar to the min/max/close buttons.

In ours, I think the icon stretches too much.  There are no margins.

Please check this same logo icon in Progress and post what it looks like.  If there is any difference, please fix the scaling.

#7 - 10/09/2015 09:21 AM - Eugenie Lyzenko

Greg Shah wrote:

In ours, I think the icon stretches too much.  There are no margins.

Please check this same logo icon in Progress and post what it looks like.  If there is any difference, please fix the scaling.

 

So the remaining issue is logo icon margins/scaling. Correct?

#8 - 10/09/2015 09:27 AM - Greg Shah

Yes.

#9 - 10/09/2015 09:56 AM - Eugenie Lyzenko

- File window_icon_4gl.jpg added

This is the 4GL window with logo icon. I'm not sure but looks like in P2J the icon is one pixel higher. What do you think? We need a fix?

#10 - 10/09/2015 10:18 AM - Greg Shah

- File gclogo_in_progress_20151009.png added

Yes, we need a fix.
I see 2 problems:

The 1 pixel bottom margin is missing in P2J.

The icon itself seems to be too big in P2J.  In the 4GL, the icon is scaled so that it is smaller by 2 pixels in each dimension.  That is why some of

the white "nimbus" of the icon shows through in Progress but not in P2J.

#11 - 10/09/2015 11:25 AM - Eugenie Lyzenko

- File window_icon_title_bar_fix_20151009.jpg added

The fix is now committing. From the screen attached the location and size of the icon is the same I guess.

#12 - 10/09/2015 11:52 AM - Greg Shah

Is there an extra pixel (3 pixels wide) in the right margin in P2J?

Otherwise, it definitely looks correct.

#13 - 10/09/2015 12:34 PM - Eugenie Lyzenko

- File window_icon_diffs_20151009.jpg added

In the picture attached you can see the P2J with image area filled(no icon drawn), 4GL icon and P2J icon. The size is correct. The difference can be

result of icon rendering deviation for Windows and Java may be. The original icon size for gclogo is 32x32 and we scale it to 16x16.

#14 - 10/09/2015 12:37 PM - Greg Shah

- Status changed from New to Closed

OK, it looks good to me.

#15 - 11/10/2015 04:52 AM - Greg Shah

- % Done changed from 0 to 100

#16 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
